# Requesting an OAuth 2.0 client

Make's API uses OAuth 2.0 authorization protocol to enable secure third-party access. This standard security framework allows applications to interact with Make's resources while protecting sensitive credentials.

To be able to start using OAuth 2.0, your app has to request a client on our side.

## How to submit a registration request

{% stepper %}
{% step %}
Complete the [OAuth client registration form](https://f.make.com/oauth) with your application details.
{% endstep %}

{% step %}
Choose your required API scopes. For more information, refer to our [API scopes documentation](/api-documentation/authentication/api-scopes-overview.md).
{% endstep %}

{% step %}
Submit your registration request.
{% endstep %}
{% endstepper %}

Our team will review your request within 10 business days. Upon approval, you'll receive the necessary credentials to integrate your application with the Make platform.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.make.com/api-documentation/authentication/requesting-an-oauth-2.0-client.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
